Subject: Re: server X
From: [email-masked] (Mailing list)

11 Sep 1998 23:14:36 -0700
Message-ID: <35F8DC1A390.82AEMAILLIST.cygnus.gnu-win32@granite>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

At [10 Sep 1998 00:13:27 -0000]
"Alexander Stockdale" <[email-masked]> wrote:

> > > I'm asking myself a question. Don't we need to port the X server part under
> > > gnu win ? In fact, it's the only part we have to buy to make the Xclient
> > > stuff works. Is it an idea or do you consider that the free stuff is
> > > sufficient ?
> > 
> > Quite a variety of native Win32 ports of X servers should work fine,
> > be it a free or commercial one.  You may want to try the free ones
> > first and see how they work for you...
> > 
> 
> The two free x-servers for Win32 that I'm aware of are the M/IX server (mentioned elsewhere in this thread) and the StarNet server.  The M/IX server is fair (does not support Athena widgets properly).  The StarNet server is quite good, but the downloadable version will only run for 2 hours at a time.

There is also a port of the X-windows VNC server, which acts as an
X-Server with a virtual frame buffer. Then you can use the Win32 VNC
viewer to view it.

See http://www.orl.co.uk/vnc/ (VNC homepage) or
http://www.do.ru/users/valtul/ (Link to GNU-WIN32 ported apps)

The code is based on XFree86 3.3 (AFAICR).

> 
> I think we really need to port XFree86 to the cygwin environment.  I've started looking into this, but it looks like it may be a big job (just look at the size of the diff file for the OS/2 port).

I'd suggest starting with the VNC server, as it should be (he says
without really knowing) easy to convert the virtual frame buffer into
backing store for a window.

--
Adrian St.John ([email-masked] / [email-masked])
Real Objects Ltd. 
http://www.realobj.demon.co.uk

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".